# Analysis Services
Git repo for Analysis Services samples and community projects

## [AASAutoScale](https://github.com/Microsoft/Analysis-Services/tree/master/AASAutoScale)
A customizeable QPU AutoScale solution for AAS that supports scale up/down as well as in/out

## [AsPartitionProcessing](https://github.com/Microsoft/Analysis-Services/tree/master/AsPartitionProcessing)
Automated partition management of Analysis Services tabular models

## [AsPerfMon](https://github.com/Microsoft/Analysis-Services/tree/master/AsPerfMon)
Real-time monitoring of Analysis Services memory usage broken out by database

## [AsTrace](https://github.com/Microsoft/Analysis-Services/tree/master/AsTrace)
The ASTrace tool captures a Profiler trace and writes it to a SQL Server table without requiring a GUI

## [AsXEventSample](https://github.com/Microsoft/Analysis-Services/tree/master/AsXEventSample)
The AsXEventSample sample shows how to collect streaming xEvents

## [BismNormalizer](https://github.com/Microsoft/Analysis-Services/tree/master/BismNormalizer)
BISM Normalizer is a schema diff tool for tabular models

## [UsqlScripts](https://github.com/Microsoft/Analysis-Services/tree/master/UsqlScripts)
Sample U-SQL scripts that demonstrate how to process a TPC-DS data set in Azure Data Lake.

## [ASJobGraph](https://github.com/Microsoft/Analysis-Services/tree/master/ASJobGraphEvents)
Python script to reassemble job graph events from Analysis Services.

## [Best Practice Rules](https://github.com/microsoft/Analysis-Services/tree/master/BestPracticeRules)
A curated set of rules covering best practices for tabular model performance and design which can be run from [Tabular Editor's](https://tabulareditor.com/ "Tabular Editor") [Best Practice Analyzer](https://docs.tabulareditor.com/Best-Practice-Analyzer.html "Best Practice Analyzer").

## [Metadata Translator](https://github.com/microsoft/Analysis-Services/tree/master/MetadataTranslator)
Metadata Translator can translate the names, descriptions, and display folders of the metadata objects in a semantic model by using Azure Cognitive Services.

## Code of Conduct
This project has adopted the [Microsoft Open Source Code of
Conduct](https://opensource.microsoft.com/codeofconduct/).
For more information see the [Code of Conduct
FAQ](https://opensource.microsoft.com/codeofconduct/faq/) or
contact [opencode@microsoft.com](mailto:opencode@microsoft.com)
with any additional questions or comments.
